Source: didcot
Section: libs
Priority: extra
Maintainer: Apertis packagers <packages@lists.apertis.org>
Build-Depends:
 autoconf-archive,
 autotools-dev,
 barkway-dev (>= 0.3.0),
 debhelper (>= 10),
 dh-apparmor,
 dh-exec,
 gobject-introspection,
 hotdoc-0.8 (>= 0.8),
 hotdoc-c-extension-0.8,
 hotdoc-dbus-extension-0.8,
 libcanterbury-platform-0-dev (>= 0.1703.5),
 libgirepository1.0-dev,
 libglib2.0-dev,
Standards-Version: 3.9.2

Package: didcot
Architecture: any
Depends:
 libdidcot-0-1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: didcot is a service responsible for sharing the data across various applications, and it is also provides "open-with" framework where a data can be opened with different applications which supports its mime type

Package: didcot-client
Section: misc
Architecture: any
Depends:
 didcot (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: This package contains the sample client for didcot

Package: didcot-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: This package contains the API reference for the didcot service.

Package: didcot-tests
Section: libdevel
Architecture: any
Depends:
 didcot (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: This package contains the tests for didcot

Package: gir1.2-didcot-0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: Apertis Data Sharing Service - Introspection data
 This package contains GObject-Introspection data for didcot.

Package: libdidcot-0-1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 didcot (<< ${binary:Version}),
Replaces:
 didcot (<< ${binary:Version}),
Description: Apertis Data Sharing Service - Shared library

Package: libdidcot-0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 barkway-dev,
 gir1.2-didcot-0 (= ${binary:Version}),
 libdidcot-0-1 (= ${binary:Version}),
 libglib2.0-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 didcot-dev (<< ${binary:Version}),
Replaces:
 didcot-dev (<< ${binary:Version}),
Recommends:
 didcot-doc,
Description: This package contains the static libraries and header files needed to
 use the services of didcot.
